color F0
cls
echo OFF

set /p Token=<token.txt

reg Query "HKLM\Hardware\Description\System\CentralProcessor\0" | find /i "x86" > NUL && set OS=32BIT || set OS=64BIT
echo.
echo ATTENDERE, CARICAMENTO DEI DATI IN CORSO....
echo.
del sploby_plu_bak.csv
ren scloby_plu.csv sploby_plu_bak.csv
if %OS%==32BIT curl-32.exe -o scloby_plu.csv http://x.scloby.com/helmac/scloby_to_helmac.php?token=%Token%
if %OS%==64BIT curl-64.exe -o scloby_plu.csv http://x.scloby.com/helmac/scloby_to_helmac.php?token=%Token%
cls
echo.
echo DATI SCARICATI DA SCLOBY
del C:\HelmacTools\HFT\Settings\Import\xxxImport_Plus.csv
copy C:\SclobyToHelmac\HFTSettings\Import\xxxImport_Plus.csv C:\HelmacTools\HFT\Settings\Import\
echo.
echo CARICAMENTO DATI SU BILANCE IN CORSO....
echo.
for /f "delims=" %%x in (indirizzi_ip.txt) do C:\HelmacTools\HFT\HFT.exe -IP:%%x -P=TXPLU -F=C:\SclobyToHelmac\scloby_plu.csv
cls
echo.
echo CARICAMENTO COMPLETATO SU BILANCE
echo.
pause
